| The Gaudi Framework v29r0 (ff2e7097)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
IGslSvc Class Referenceabstract

The abstract interface to "deal" with GNU Scientific Library (GLS) The main task is the error handling. More...

`#include <GaudiGSL/IGslSvc.h>`

Inheritance diagram for IGslSvc:
[legend]
Collaboration diagram for IGslSvc:
[legend]

## Public Types
typedef void(* | GslErrorHandler) (const char *, const char *, int, int)
| type definition of "standard" GSL error handler functions More...
Public Types inherited from extend_interfaces< IService >
using | ext_iids = typename Gaudi::interface_list_cat< typename Interfaces::ext_iids... >::type
| take union of the ext_iids of all Interfaces... More...

## Public Member Functions
| DeclareInterfaceID (IGslSvc, 3, 0)
| InterfaceID. More...
virtual StatusCode | handle (const GslError &error) const =0
| handle the GSL error More...
virtual GslErrorHandler | handler () const =0
| retrieve the current GSL error handler More...
virtual GslErrorHandler | setHandler (GslErrorHandler handler) const =0
| set new GSL error handler More...
virtual StatusCode | status (const int error) const =0
| transform GSL error code to Gaudi status code More...
Public Member Functions inherited from extend_interfaces< IService >
| ~extend_interfaces () override=default
| Virtual destructor. More...

## Detailed Description

The abstract interface to "deal" with GNU Scientific Library (GLS) The main task is the error handling.

Could be extended in future to cover other aspects as well.

Author
  Vanya Belyaev Ivan..nosp@m.Bely.nosp@m.aev@i.nosp@m.tep..nosp@m.ru

Date
  29/04/2002

Definition at line 16 of file IGslSvc.h.

## Member Typedef Documentation

typedef void( * IGslSvc::GslErrorHandler) (const char *, const char *, int, int )

type definition of "standard" GSL error handler functions

Parameters

  reason | error reason (message)
  file | file name
  line | line number
  code | error code

Definition at line 26 of file IGslSvc.h.

## Member Function Documentation

IGslSvc::DeclareInterfaceID | ( | IGslSvc | ,
|  | 3 | ,
|  | 0 |
| ) |  |

InterfaceID.

virtual StatusCode IGslSvc::handle | ( | const GslError & | error | ) | const
| pure virtual

handle the GSL error

Parameters

  error | error to be handled

See also
  GslError

Returns
  status code

virtual GslErrorHandler IGslSvc::handler | ( |  | ) | const
| pure virtual

retrieve the current GSL error handler

Returns
  current GSL error handler

virtual GslErrorHandler IGslSvc::setHandler | ( | GslErrorHandler | handler | ) | const
| pure virtual

set new GSL error handler

Parameters

  handler | new GSL error handler

Returns
  GSL error handler

virtual StatusCode IGslSvc::status | ( | const int | error | ) | const
| pure virtual

transform GSL error code to Gaudi status code

Parameters

  error | GLS error code

Returns
  status code

The documentation for this class was generated from the following file:

- GaudiGSL/GaudiGSL/IGslSvc.h